Package org.eclipse.jface.viewers

# Interface IFontProvider

All Known Implementing Classes:
  `AbstractSynchronizationLabelProvider`, `ColumnLabelProvider`, `DecoratingLabelProvider`, `PropertyColumnLabelProvider`, `SynchronizationLabelProvider`, `TreeColumnViewerLabelProvider`, `WorkbenchLabelProvider`

public interface IFontProvider
Interface to provide font representation for a given element.

Since:
  3.0
See Also:
  - `IFontDecorator`

## Method Summary

Modifier and Type
Method
Description
`Font`
`getFont(Object element)`
Provides a font for the given element.

## Method Details

### getFont

Font getFont(Object element)
Provides a font for the given element.

Parameters:
  `element` - the element
Returns:
  the font for the element, or `null` to use the default font